#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

BOOL WINAPI
MoveFile(LPCWSTR lpExistingFileName, LPCWSTR lpNewFileName)
{
	char *path, *newpath;

	if(win_useunicode)
		return MoveFileW(lpExistingFileName, lpNewFileName);
	path = win_wstr2utf(lpExistingFileName);
	newpath = win_wstr2utf(lpNewFileName);
	return MoveFileA(path, newpath);
}
